# Interface IChangeAnalyticsCustomDataEventArgs

## Index

### Properties

- actionCause
- actionType
- language
- metaObject
- originLevel1
- originLevel2
- originLevel3
- type

## Properties

### actionCause

actionCause: string

- Defined in events/AnalyticsEvents.ts :86

### actionType

actionType: string

- Defined in events/AnalyticsEvents.ts :74

### language

language: string

Inherited from IChangeableAnalyticsDataObject.language

- Defined in events/AnalyticsEvents.ts :164

### metaObject

metaObject: IChangeableAnalyticsMetaObject

Inherited from IChangeableAnalyticsDataObject.metaObject

- Defined in events/AnalyticsEvents.ts :117

### originLevel1

originLevel1: string

Inherited from IChangeableAnalyticsDataObject.originLevel1

- Defined in events/AnalyticsEvents.ts :130

### originLevel2

originLevel2: string

Inherited from IChangeableAnalyticsDataObject.originLevel2

- Defined in events/AnalyticsEvents.ts :141

### originLevel3

originLevel3: string

Inherited from IChangeableAnalyticsDataObject.originLevel3

- Defined in events/AnalyticsEvents.ts :153

### type

type: "SearchEvent" | "CustomEvent" | "ClickEvent"

- Defined in events/AnalyticsEvents.ts :60

### Hierarchy

- IChangeableAnalyticsDataObject